Package io.vertx.rxjava3.micrometer

## Class PrometheusRequestHandler

- java.lang.Object
- - io.vertx.rxjava3.micrometer.PrometheusRequestHandler

-     public class PrometheusRequestHandler
      extends Object

  An interface for creating handlers to expose Prometheus metrics via an HTTP endpoint.

  This interface provides factory methods to create handlers that can scrape metrics from a PrometheusMeterRegistry and serve them over HTTP. It allows for various configurations of the metrics endpoint and the Prometheus registry.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<PrometheusRequestHandler>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PrometheusRequestHandler​(PrometheusRequestHandler delegate)` |
    `PrometheusRequestHandler​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Handler<HttpServerRequest>` | `create()` | Creates a handler with a new PrometheusMeterRegistry and the default metrics endpoint ("/metrics").
    `static Handler<HttpServerRequest>` | `create​(io.micrometer.prometheusmetrics.PrometheusMeterRegistry registry)` | Creates a handler with the specified PrometheusMeterRegistry and the default metrics endpoint ("/metrics").
    `static Handler<HttpServerRequest>` | `create​(io.micrometer.prometheusmetrics.PrometheusMeterRegistry registry, String metricsEndpoint)` | Creates a handler with the specified PrometheusMeterRegistry and metrics endpoint.
    `boolean` | `equals​(Object o)` |
    `PrometheusRequestHandler` | `getDelegate()` |
    `int` | `hashCode()` |
    `static PrometheusRequestHandler` | `newInstance​(PrometheusRequestHandler arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<PrometheusRequestHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### PrometheusRequestHandler

          public PrometheusRequestHandler​(PrometheusRequestHandler delegate)

    - #### PrometheusRequestHandler

          public PrometheusRequestHandler​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public PrometheusRequestHandler getDelegate()

    - #### create

          public static Handler<HttpServerRequest> create()

      Creates a handler with a new PrometheusMeterRegistry and the default metrics endpoint ("/metrics").

      This handler scrapes metrics from a newly created PrometheusMeterRegistry and serves them at the default endpoint "/metrics".

      Returns:
        a handler for scraping Prometheus metrics

    - #### create

          public static Handler<HttpServerRequest> create​(io.micrometer.prometheusmetrics.PrometheusMeterRegistry registry,
                                                          String metricsEndpoint)

      Creates a handler with the specified PrometheusMeterRegistry and metrics endpoint.

      This handler scrapes metrics from the given PrometheusMeterRegistry and serves them at the specified endpoint.

      Parameters:
        `registry` - the PrometheusMeterRegistry to use for scraping metrics
        `metricsEndpoint` - the endpoint to expose metrics
      Returns:
        a handler for scraping Prometheus metrics

    - #### create

          public static Handler<HttpServerRequest> create​(io.micrometer.prometheusmetrics.PrometheusMeterRegistry registry)

      Creates a handler with the specified PrometheusMeterRegistry and the default metrics endpoint ("/metrics").

      This handler scrapes metrics from the given PrometheusMeterRegistry and serves them at the default endpoint "/metrics".

      Parameters:
        `registry` - the PrometheusMeterRegistry to use for scraping metrics
      Returns:
        a handler for scraping Prometheus metrics

    - #### newInstance

          public static PrometheusRequestHandler newInstance​(PrometheusRequestHandler arg)